r40122 - /scripts/repack.sh

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Sat Jul 18 16:49:47 UTC 2009


Author: ryan52-guest
Date: Sat Jul 18 16:49:41 2009
New Revision: 40122

URL: http://svn.debian.org/wsvn/?sc=1&rev=40122
Log:
option checking

Modified:
    scripts/repack.sh

Modified: scripts/repack.sh
URL: http://svn.debian.org/wsvn/scripts/repack.sh?rev=40122&op=diff
==============================================================================
--- scripts/repack.sh (original)
+++ scripts/repack.sh Sat Jul 18 16:49:41 2009
@@ -6,6 +6,23 @@
 set -e
 set -u
 
+usage() {
+    echo "Usage: repack.sh --upstream-versio <ver> <downloaded file>"
+    exit 1
+}
+
+if [ "$1" != "--upstream-version" ]; then
+    usage
+fi
+if [ "$#" != "3" ]; then
+    usage
+fi
+if [ ! -f "$3" ]; then
+    if [ -n "$3" ]; then
+        echo "$3 doesn't exist"
+    fi
+    usage
+fi
 VER="$2"
 FILE="$3"
 PKG=`dpkg-parsechangelog|grep ^Source:|sed 's/^Source: //'`




More information about the Pkg-perl-cvs-commits mailing list